gi2Interactome {SLGI} | R Documentation

## Reduce genetic interactions matrix

### Description

Reduce genetic interactions matrix to the pairs that genetically interact and that are present in the interactome of interest.

### Usage

    gi2Interactome(iMat, interactome, threshold=0)

### Arguments

`iMat` | Genetic interaction matrix. Each entry has usually a value of 0 or 1, representing positive or negative interaction of corresponding pairs of row and column, respectively.
`interactome` | Interactome matrix, e.g. `ScISIC`.
`threshold` | Integer

### Value

The returned value is the genetic interaction matrix reduced to the row and column (genes) names that are present in the interactome and where the row and column sums are higher than the specified threshold.

### Author(s)

N. LeMeur

### Examples

    ##Create the genetic interaction matrix
    gInt <- sample(c(0, 1), 25, TRUE)
    iMat  <- matrix(gInt, nrow=5, ncol=5, dimnames=list(letters[1:5],letters[4:8]))

    ##Create the interactome
    cInt <- sample(c(0,1),30, TRUE)
    interactome  <- matrix(cInt, nrow=6, ncol=5,dimnames=list(letters[2:7],LETTERS[1:5]))

    ## Reduce the genetic interaction matrix to match the gene present in
    ## the interactome
    reducediMat <- gi2Interactome(iMat, interactome)

[Package SLGI version 1.2.0 Index]